import { EventEmitter } from "@libp2p/interfaces/events";
import { ApplicationData, CoreAPI, CoreEvents, Message, ModelValue } from "@canvas-js/interfaces";
export declare class RemoteCoreAPI extends EventEmitter<CoreEvents> implements CoreAPI {
    readonly host: string;
    closed: boolean;
    ws: WebSocket | null;
    timer: number | null;
    waitingForHeartbeat: boolean;
    constructor(host: string);
    close(): void;
    getApplicationData(): Promise<ApplicationData>;
    apply(message: Message): Promise<{
        hash: any;
    }>;
    getRoute<T extends Record<string, ModelValue> = Record<string, ModelValue>>(route: string, params?: Record<string, ModelValue> | undefined): Promise<T[]>;
    private getRouteURL;
    private reconnect;
    private clearInterval;
    private setupWebsocket;
}
