import { ActionArgument, ChainImplementation } from "@canvas-js/interfaces";
export type CallOptions = {
    timestamp?: number;
};
export type Client = Record<string, (callArgs: Record<string, ActionArgument>, callOptions?: CallOptions) => Promise<{
    hash: string;
}>>;
export declare function useSession<Signer, DelegatedSigner>(chainImplementation: ChainImplementation<Signer, DelegatedSigner> | null, signer: Signer | null | undefined, options?: {
    sessionDuration?: number;
    unchecked?: boolean;
}): {
    isLoading: boolean;
    isPending: boolean;
    sessionAddress: string | null;
    sessionExpiration: number | null;
    login: () => Promise<void>;
    logout: () => Promise<void>;
    client: Client | null;
};
